View previous topic :: View next topic |
Author |
Message |
steveb Advocate


Joined: 18 Sep 2002 Posts: 4564
|
Posted: Sat Feb 22, 2003 11:16 pm Post subject: IBM Lotus Domino R6/(R5) gentoo init scripts |
|
|
I installed IBM Lotus Domino R6.0.1 on my gentoo box and created quickly a start/stop script for gentoo.
the script is probably far away from beeing perfect... but for the short time I invested, I think it is okay.
let me know what you think.
cheers
SteveB
/etc/conf.d/domino: Code: | # Config file for /etc/init.d/domino
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author: tp22a@softhome.net
#
# Please uncomment the entries and change the paths to suit your needs
#
# Paths to Domino program and data directories and varios programs.
#dominoroot=/opt/lotus
#dominodataroot=/local/notesdata
#dominostartup=${dominoroot}/notes/latest/linux/startup
#dominoserver=${dominoroot}/bin/server
#dominonotesini=${dominodataroot}/notes.ini
# Path to pid file
#dominopidfile=/var/run/domino.pid
# user and group used to run domino (normaly 'notes')
#dominouser=notes
#dominogroup=notes
# Stop timeout in seconds. After that time we start to kill Domino
# with NDS. Do not use a to low number for the timeout!
#dominostoptimeout=45
# Startup type of Domino server.
# Use 'S' for starting domino with screen. You can attach to the screen
# calling the init script with the parameter 'get_screen' or using the
# command 'screen -rdS domino'. If you want to use screen, then you
# need to emerge app-misc/screen.
# Use 'B' for starting domino in the background
# Use 'N' for starting domino in the forderground/directly
#dominostartuptype="S"
# [OPTIONAL] Live console / server controller configuration.
# Use 'Y' to start Domino with the server controller option
# Use 'N' (the default) to run Domino without the server controller enabled
#dominorunwithsrvcontroller="Y"
# [OPTIONAL] Path to Lotus Notes UserID for the live console. If you don't
# specify any UserID, then you will be asked to enter one when you start
# the live console.
#dominoadminid=${dominodataroot}/nadminis.id
# [OPTIONAL] Bugfix for Linux environment with NTPL support
# [NOTE] If you set the option dominofloatingstackfix to 'Y', then this
# parameter is overwriten.
# Use 'Y' to prevent Domino to bind against the Linuxthreads libraries while
# still allowing us to use the floating stacks
# Use 'N' to do nothing
#dominolinuxthreadsfix="N"
# [OPTIONAL] Bugfix for Linux environment to not allow Domino to use the
# floating stack.
# [NOTE] You have to enable this option only if you kernel is less then
# 2.4.10 or else the internal IBM JVM will fail on SMP hardware.
# Use 'Y' to prevent Domino to use floating stack
# Use 'N' to do nothing
#dominofloatingstackfix="N"
# [OPTIONAL] Run Domino with adjusted scheduling priority
# Range goes from -20 (highest priority) to 19 (lowest).
#dominonice=-15 |
/etc/init.d/domino: Code: | #!/sbin/runscript
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author: tp22a@softhome.net
#NB: Config is in /etc/conf.d/domino
opts="${opts} live_console get_screen kill_domino renice_domino"
depend() {
need net
}
check_config() {
if [ -z "$dominoroot" ] || [ -z "$dominodataroot" ] || [ -z "$dominostartup" ] || \
[ -z "$dominoserver" ] || [ -z "$dominonotesini" ] || [ -z "$dominopidfile" ] || \
[ -z "$dominouser" ] || [ -z "$dominogroup" ] || [ -z "$dominostoptimeout" ] || \
[ -z "$dominostartuptype" ]; then
einfo "The following entries are missing in /etc/conf.d/domino:"
[ -z "$dominoroot" ] && einfo " - dominoroot"
[ -z "$dominodataroot" ] && einfo " - dominodataroot"
[ -z "$dominostartup" ] && einfo " - dominostartup"
[ -z "$dominoserver" ] && einfo " - dominoserver"
[ -z "$dominonotesini" ] && einfo " - dominonotesini"
[ -z "$dominopidfile" ] && einfo " - dominopidfile"
[ -z "$dominouser" ] && einfo " - dominouser"
[ -z "$dominogroup" ] && einfo " - dominogroup"
[ -z "$dominostoptimeout" ] && einfo " - dominostoptimeout"
[ -z "$dominostartuptype" ] && einfo " - dominostartuptype"
eerror "You need to setup variables in /etc/conf.d/domino first"
return 1
fi
if [ ! -d ${dominoroot} ]; then
eerror "Domino program root ${dominoroot} not found"
return 1
fi
if [ ! -d ${dominodataroot} ]; then
eerror "Domino data root ${dominodataroot} not found"
return 1
fi
if [ ! -f ${dominostartup} ]; then
eerror "Startup script file ${dominostartup} not found"
return 1
fi
if [ ! -f ${dominoserver} ]; then
eerror "Startup script file ${dominoserver} not found"
return 1
fi
if [ ! -f ${dominonotesini} ]; then
eerror "Domino notes.ini file ${dominonotesini} not found"
return 1
fi
if ! (cat /etc/passwd|grep -q \^${dominouser}); then
eerror "User ${dominouser} not found"
return 1
fi
if ! (cat /etc/group|grep -q \^${dominogroup}); then
eerror "Group ${dominogroup} not found"
return 1
fi
if [ -d ${dominoadminid} ] && [ ! -f ${dominoadminid}]; then
eerror "Lotus Notes UserID ${dominoadminid} for live console not found"
return 1
fi
if ! $(echo "${dominostartuptype}"|grep -q -i "S\|B\|N"); then
eerror "Domino server startup type '${dominostartuptype}' is not valid"
return 1
fi
if [ ! -z "${dominonice}" ];then
if ! [[ "${dominonice}" -ge "-20" && "${dominonice}" -le "19" ]]; then
eerror "Domino server nice level '${dominonice}' is not valid"
return 1
fi
else
dominonice="0"
fi
# Check if sys-libs/lib-compat is installed (not using the gentoolkit)
if ! ( ls /usr/lib/libc.so.5 1>/dev/null 2>&1 && \
ls /usr/lib/libg++.so.* 1>/dev/null 2>&1 && \
ls /usr/lib/libstdc++-*-libc6.*.so 1>/dev/null 2>&1 && \
ls /usr/lib/libstdc++.so.* 1>/dev/null 2>&1 && \
ls /usr/lib/libstdc++-libc6.* 1>/dev/null 2>&1 )
then
eerror "You need to emerge \"sys-libs/lib-compat\" for Domino to work"
return 1
fi
return 0
}
set_proc_values() {
check_config || return 1
local proc_key
local proc_value
einfo "Setting /proc values for Domino server:"
# Maximum number of file handles allowed for each process
proc_key="/proc/sys/fs/file-max"
proc_value="131072"
if [ -f ${proc_key} ]; then
einfo " ${proc_key}: \\033[33;01m${proc_value}\\033[00m"
echo ${proc_value} > ${proc_key}
fi
# Time to hold a socket in FIN-WAIT-2 state if it is closed by Domino
proc_key="/proc/sys/net/ipv4/tcp_fin_timeout"
proc_value="15"
if [ -f ${proc_key} ]; then
einfo " ${proc_key}: \\033[33;01m${proc_value}\\033[00m"
echo ${proc_value} > ${proc_key}
fi
# Maximum number of connection requests that are remembered, but have
# not received acknowledgment from the connecting client
proc_key="/proc/sys/net/ipv4/tcp_max_syn_backlog"
proc_value="16384"
if [ -f ${proc_key} ]; then
einfo " ${proc_key}: \\033[33;01m${proc_value}\\033[00m"
echo ${proc_value} > ${proc_key}
fi
# Allow reuse of TIME-WAIT sockets
proc_key="/proc/sys/net/ipv4/tcp_tw_reuse"
proc_value="1"
if [ -f ${proc_key} ]; then
einfo " ${proc_key}: \\033[33;01m${proc_value}\\033[00m"
echo ${proc_value} > ${proc_key}
fi
# Expand the range of port values
proc_key="/proc/sys/net/ipv4/ip_local_port_range"
proc_value="1024 65535"
if [ -f ${proc_key} ]; then
einfo " ${proc_key}: \\033[33;01m${proc_value}\\033[00m"
echo ${proc_value} > ${proc_key}
fi
export DOMINO_LINUX_SET_PARMS=1
}
set_ulimit_values() {
check_config || return 1
if !(grep -iv "^#" /etc/security/limits.conf | grep -i "nofile" | grep -iq "^\*\|^@*${dominouser}"); then
ebegin "Setting ulimit values for Domino server"
su - ${dominouser} -c "ulimit -c 0 ; ulimit -u 8192 ; ulimit -n 20000 ; ulimit -v unlimited ; ulimit -m unlimited"
eend 0
fi
}
check_domino_runing() {
check_config || return 1
if [ $(ps aux|grep -c "^${dominouser}.*${dominoroot}") = "0" ]; then
# Domino server does not run
return 1
else
# Domino server is runing
return 0
fi
}
renice_domino() {
check_config || return 1
check_domino_runing
if [ "$?" == "0" ]; then
ebegin "Renice Domino server process to priority ${dominonice}"
eend 0
einfo " $(renice ${dominonice} -u ${dominouser})"
fi
}
kill_domino() {
check_config || return 1
check_domino_runing
if [ "$?" == "0" ]; then
ebegin "Killing Domino server [NSD]"
su - ${dominouser} -c "cd ${dominodataroot};${dominoroot}/bin/nsd -batch -kill -user ${dominouser} -noinfo -nofs -nolog -nodbx -nomemcheck -nolsof >/dev/null 2>&1"
sleep 5
eend $?
check_domino_runing
if [ "$?" == "0" ]; then
ebegin "Killing Domino server [KILL]"
einfon " PID:"
for dominopid in $(ps aux|grep "^${dominouser}.*${dominoroot}"|awk '{print $2}'); do
echo -ne " ${dominopid}"
kill -9 ${dominopid} >/dev/null 2>&1
done
eend 0
check_domino_runing
if [ "$?" == "0" ]; then
einfon " PID:"
for dominopid in $(ps aux|grep "^${dominouser}.*${dominoroot}"|awk '{print $2}'); do
echo -ne " ${dominopid}"
kill -9 ${dominopid} >/dev/null 2>&1
done
eend 0
fi
fi
# Run fixup, because we killed Domino the 'hard' way
fixup_after_kill || return 1
# Call the zap
/etc/init.d/${myservice} zap
else
einfo "Domino server is not runing"
fi
return 0
}
fix_owner() {
check_config || return 1
# Changes any files in Domino data directory that aren't owned by \
# $dominouser.$dominogroup by $dominouser.$dominogroup
find ${dominodataroot} -type f -not -user ${dominouser} -exec chown ${dominouser}.${dominogroup} {} \;
find ${dominodataroot} -type f -not -group ${dominogroup} -exec chown ${dominouser}.${dominogroup} {} \;
return 0
}
fixup_after_kill() {
check_config || return 1
# Do not allow to run if Domino is still runing
check_domino_runing
if [ "$?" == "0" ]; then
ewarn "Domino server is still runing, can not run fixup tasks"
return 1
fi
# Run fixup task (Scan all documents [-F], Fixup transaction-logged databases [-J], Report all processed databases to log file [-L], Fixup subdirectories [-Y], Fixup open databases [-O])
if [ -f ${dominoroot}/bin/fixup ]; then
ebegin "Running Domino fixup task"
su - ${dominouser} -c "cd ${dominodataroot};${dominoroot}/bin/fixup -F -J -L -Y -O >/dev/null 2>&1"
eend $?
else
ewarn "Domino 'fixup' task is not installed"
fi
# Run compact task
if [ -f ${dominoroot}/bin/compact ]; then
ebegin "Running Domino compact task"
su - ${dominouser} -c "cd ${dominodataroot};${dominoroot}/bin/compact -D -c -i -F >/dev/null 2>&1"
eend $?
else
ewarn "Domino 'compact' task is not installed"
fi
# Run updall task
if [ -f ${dominoroot}/bin/updall ]; then
ebegin "Running Domino updall task"
su - ${dominouser} -c "cd ${dominodataroot};${dominoroot}/bin/updall -R >/dev/null 2>&1"
eend $?
else
ewarn "Domino 'updall' task is not installed"
fi
return 0
}
live_console() {
check_config || return 1
# Do not run if Domino server is not runing
check_domino_runing
if [ "$?" == "1" ]; then
ewarn "Domino server is not runing"
return 1
fi
if [ -f ${dominoroot}/bin/cconsole ]; then
ebegin "Starting Domino console"
einfo " To quit the Domino Character Console type 'done'"
if [ ! -z "$dominoadminid" ]; then
su - ${dominouser} -c "cd ${dominodataroot};${dominoroot}/bin/cconsole -l -i -f ${dominoadminid}"
else
su - ${dominouser} -c "cd ${dominodataroot};${dominoroot}/bin/cconsole -l -i"
fi
eend $?
else
ewarn "Domino Server live console application is not installed"
return 1
fi
}
get_screen() {
check_config || return 1
# Only run if Domino server is runing
check_domino_runing
if [ "$?" == "1" ]; then
ewarn "Domino server is not runing"
return 1
fi
# Get domino screen
if $(echo "${dominostartuptype}"|grep -q -i "S"); then
if (screen -list|grep -q domino); then
einfo "Attaching to Domino server screen"
screen -rdS domino
else
eerror "There is no screen to be detached matching domino."
return 1
fi
else
eerror "Domino server is not started in 'screen' mode"
return 1
fi
}
start() {
check_config || return 1
local domino_additional_args
local domino_export_commands
local DOMJVM
local DOMJVM_MAJOR
local DOMJVM_MINOR
local DOMJVM_MICRO
local DOMJVM_int
# Fix problem with IBM JVM <= 1.1.8
DOMJVM=`${dominoroot}/notes/latest/linux/jvm/bin/java -version 2>&1 | \
grep -i ^java\ version | sed "s/[\"']\|java\ version//gI;s/ //gI"`
DOMJVM_MAJOR="`echo "${DOMJVM}" | cut -d. -f1`"
DOMJVM_MINOR="`echo "${DOMJVM}" | cut -d. -f2`"
DOMJVM_MICRO="`echo "${DOMJVM}" | cut -d. -f3`"
DOMJVM_int="$((DOMJVM_MAJOR * 65536 + DOMJVM_MINOR * 256 + DOMJVM_MICRO))"
# If Domino JVM is 1.1.8 or less, export empty LANG
if [ "${DOMJVM_int}" -le "65800" ]; then
domino_export_commands="${domino_export_commands} LANG="
fi
# Check if we need to set LD_ASSUME_KERNEL
if [ "${dominofloatingstackfix}" == "Y" ]; then
domino_export_commands="${domino_export_commands} LD_ASSUME_KERNEL=2.2.5"
elif [ "${dominolinuxthreadsfix}" == "Y" ]; then
domino_export_commands="${domino_export_commands} LD_ASSUME_KERNEL=2.4.0"
fi
if [ "${domino_export_commands}" != "" ]; then
domino_export_commands="export ${domino_export_commands} LDPATH=/usr/local/lib:/lib:${LDPATH} PATH=${PATH}:${dominoroot}/bin:${dominoroot}/notes/latest/linux:${dominodataroot};"
fi
# Do not allow to run if Domino is still runing
check_domino_runing
if [ "$?" == "0" ]; then
ewarn "Domino server is still runing"
return 1
fi
# Create pid file if needed
if [ ! -f ${dominopidfile} ]; then
touch ${dominopidfile}
chown ${dominouser}.${dominogroup} ${dominopidfile}
fi
# Fix UNIX owner in Domino data directory
fix_owner
# Check if Domino needs to run the "server controller"
if [ "${dominorunwithsrvcontroller}" == "Y" ]; then
domino_additional_args="${domino_additional_args} -jc"
else
domino_additional_args="${domino_additional_args}"
fi
domino_additional_args="${domino_additional_args} -c"
# Delete "java server controller" lock file
if [ -f ${dominodataroot}/.jsc_lock ]; then
rm ${dominodataroot}/.jsc_lock
fi
# Check for already runing screen sessions
if ( screen -ls | grep -q "[0-9]\.domino" )
then
ebegin "Wiping orphan screen sessions"
screen -wipe 1>/dev/null 2>&1
eend
fi
if ( screen -ls | grep -q "[0-9]\.domino" )
then
ewarn "Screen sessions for Domino still available:"
screen -ls | grep [0-9]\.domino | while true
do
read MY_SCREEN
[ "${MY_SCREEN}" == "" ] && break
ewarn " "$(echo ${MY_SCREEN} | awk '{print $1}')
done
ewarn "Can not continue!"
return 1
fi
# Set ulimit values (would be better to add them to /etc/security/limits.conf)
set_ulimit_values
# Set /proc filesystem values for Domino server
set_proc_values
# Start Domino server
local domino_start_command
domino_start_command="${domino_export_commands}${dominostartup} ${dominoserver} ${domino_additional_args} =${dominonotesini}"
case "${dominostartuptype}" in
S)
ebegin "Starting Domino server [SCREEN]"
screen -AdmS domino su - ${dominouser} -c "${domino_start_command}"
eend $?
;;
B)
ebegin "Starting Domino server [BACKGROUND]"
su - ${dominouser} -c "${domino_start_command} >/dev/null 2>&1 &"
eend $?
;;
N)
einfo "Starting Domino server [NORMAL]"
su - ${dominouser} -c "${domino_start_command}"
;;
esac
# ReNice Domino server
renice_domino
ebegin "IBM/Lotus Domino server startup"
check_domino_runing
if [ "$?" == "0" ]; then
eend 0
return 0
else
rm -fr ${dominopidfile} >/dev/null 2>&1
eend 1
return 1
fi
}
stop() {
check_config || return 1
local domino_additional_args
# If we can execute the stop command and the Domino server is \
# not runing, print out a message and reset the runing state.
# Do not allow to run if Domino is still runing
check_domino_runing
if [ "$?" == "1" ]; then
ewarn "Domino server is not runing"
return 1
fi
# Check if Domino needs to run the "server controller"
local check_domino_controller
check_domino_controller=$(netstat -an | grep -ie ":2050.*LISTEN")
if [[ ! -z "${check_controller}" || "${check_controller}" ]] ; then
domino_additional_args="${domino_additional_args} -jc"
else
domino_additional_args="${domino_additional_args}"
fi
domino_additional_args="${domino_additional_args} -q"
# Begin to stop the Domino server
if [[ ! -z "${check_controller}" || "${check_controller}" ]] ; then
ebegin "Stopping Domino controller"
else
ebegin "Stopping Domino server"
fi
su - ${dominouser} -c "echo Y | ${dominoserver} =${dominonotesini} ${domino_additional_args} >/dev/null 2>&1 &"
eend $?
# Wait till timeout is reached
einfo "Waiting up to ${dominostoptimeout} seconds for Domino to shutdown"
eend 0
einfon " "
i=0
j=$((dominostoptimeout/40))
for dominotimeout in $(seq 1 ${dominostoptimeout}); do
i=$((i+1))
if [ "$i" -gt "$j" ]; then
echo -ne "."
i=0
fi
check_domino_runing
if [ "$?" == "1" ]; then
echo -ne "\n"
break
fi
sleep 1
done
# If Domino is still runing (after timeout) start killing it.
check_domino_runing
if [ "$?" == "0" ]; then
kill_domino
fi
# Remove pid file
if [ -f ${dominopidfile} ]; then
rm -fr ${dominopidfile} >/dev/null 2>&1
fi
eend 0
return 0
}
restart() {
svc_stop
svc_start
} |
/etc/env.d/99domino: Code: | # Gentoo environment for IBM Lotus Domino
PATH=/opt/lotus/bin:/opt/lotus/notes/latest/linux:/local/notesdata
ROOTPATH=/opt/lotus/bin:/opt/lotus/notes/latest/linux:/local/notesdata
LDPATH=/opt/lotus/notes/latest/linux |
Last edited by steveb on Mon Sep 06, 2004 7:47 pm; edited 2 times in total |
|
Back to top |
|
 |
tebers Tux's lil' helper


Joined: 24 Apr 2002 Posts: 115 Location: Germany, Kirchheim near Munich
|
Posted: Tue Apr 29, 2003 8:58 am Post subject: |
|
|
do you have 6.01cf now running with the latest updates. glib 2.3 etc ?
I get crashes all 15 min. |
|
Back to top |
|
 |
steveb Advocate


Joined: 18 Sep 2002 Posts: 4564
|
Posted: Thu May 01, 2003 2:45 am Post subject: |
|
|
tebers wrote: | do you have 6.01cf now running with the latest updates. glib 2.3 etc ?
I get crashes all 15 min. |
domino works on my gentoo box with glibc 2.3.x. but i updated the script to allow some tweaking in case of problems (i modified my orginal post to include the new start/stop script).
cheers / gruss
SteveB
output on my box: Code: | # echo ; strings /opt/lotus/notes/latest/linux/libinotes.so | grep -i release\ 6\. ; echo ; ps aux | grep "^notes\|^USER" ; echo ; emerge -p gcc glibc ; echo ; uname -a
Domino Release 6.0.1CF1 (Linux for Intel)
USER PID %CPU %MEM VSZ RSS TTY STAT START TIME COMMAND
notes 14785 0.0 0.1 2040 916 pts/2 S 04:36 0:00 [su]
notes 14787 0.0 0.1 2060 992 pts/2 S 04:36 0:00 /bin/bash -c /opt/lotus/notes/latest/linux/startup /opt/lotus/bin/server \=/local/notesdata/notes.ini
notes 14864 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 14865 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 14866 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 14868 0.0 1.7 139120 13688 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/logasio NOTESLOGGER reserved
notes 14875 0.0 1.7 139120 13688 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/logasio NOTESLOGGER reserved
notes 14876 0.0 1.7 139120 13688 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/logasio NOTESLOGGER reserved
notes 14877 0.0 1.7 139120 13688 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/logasio NOTESLOGGER reserved
notes 14880 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 14881 0.0 2.6 141184 20768 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/event
notes 14885 0.0 2.6 141184 20768 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/event
notes 14886 0.0 2.6 141184 20768 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/event
notes 14887 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 14888 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 14889 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 14890 0.0 2.6 141184 20768 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/event
notes 14891 0.0 2.6 141184 20768 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/event
notes 14892 0.0 2.6 141184 20768 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/event
notes 14893 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 14895 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 14896 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 14897 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 14898 0.0 2.3 140816 18440 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/update
notes 14899 0.0 2.5 140536 20032 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/replica
notes 14900 0.0 3.0 141548 23616 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/router
notes 14901 0.0 2.5 140620 19440 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/amgr
notes 14902 0.0 2.5 141316 19820 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/adminp
notes 14903 0.0 1.8 139696 14268 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/calconn
notes 14914 0.0 2.3 140816 18440 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/update
notes 14915 0.0 2.3 140816 18440 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/update
notes 14911 0.0 2.4 140572 19344 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/sched
notes 14918 0.0 2.5 140536 20032 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/replica
notes 14919 0.0 2.5 140536 20032 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/replica
notes 14920 0.0 3.0 141548 23616 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/router
notes 14921 0.0 3.0 141548 23616 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/router
notes 14927 0.0 2.2 140052 17568 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/decs
notes 14932 0.0 2.5 141316 19820 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/adminp
notes 14933 0.0 2.5 141316 19820 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/adminp
notes 14935 0.0 3.0 141548 23616 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/router
notes 14938 0.0 2.5 140620 19440 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/amgr
notes 14939 0.0 2.5 140620 19440 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/amgr
notes 14928 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 14944 0.0 2.3 140816 18440 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/update
notes 14952 0.0 2.5 140620 19440 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/amgr
notes 14953 0.0 2.3 141216 18288 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/imap
notes 14954 0.0 2.3 140984 18176 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/pop3
notes 14957 0.0 2.4 140572 19344 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/sched
notes 14958 0.0 2.4 140572 19344 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/sched
notes 14982 0.0 1.8 139696 14268 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/calconn
notes 14983 0.0 1.8 139696 14268 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/calconn
notes 14986 0.1 4.0 142740 31588 pts/2 S 04:36 0:01 /opt/lotus/bin/tools/../../notes/latest/linux/ldap
notes 14989 0.0 2.2 140052 17568 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/decs
notes 14990 0.0 2.2 140052 17568 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/decs
notes 14988 0.0 2.3 142304 18488 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/rdebug
notes 14993 0.0 2.4 140572 19344 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/sched
notes 14994 0.0 2.3 145448 18232 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 1
notes 14995 0.0 3.7 240132 28956 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 2
notes 14996 0.0 2.8 146244 21812 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 3
notes 15002 0.0 2.3 145448 18396 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 4
notes 15003 0.0 3.0 146760 23700 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 5
notes 15004 0.0 2.3 140508 18380 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/stats
notes 15005 0.0 2.3 141132 18532 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/web
notes 15006 0.0 2.4 141088 18676 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/smtp
notes 15011 0.0 2.3 140984 18176 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/pop3
notes 15012 0.0 2.3 140984 18176 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/pop3
notes 15016 0.0 2.3 141216 18288 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/imap
notes 15017 0.0 2.3 141216 18288 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/imap
notes 15029 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15030 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15031 0.0 4.0 142740 31588 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/ldap
notes 15032 0.0 4.0 142740 31588 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/ldap
notes 15036 0.0 2.3 145448 18232 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 1
notes 15037 0.0 2.3 145448 18232 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 1
notes 15039 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15043 0.0 2.3 142304 18488 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/rdebug
notes 15044 0.0 2.3 142304 18488 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/rdebug
notes 15045 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15048 0.0 2.8 146244 21812 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 3
notes 15049 0.0 2.8 146244 21812 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 3
notes 15058 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15059 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15063 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15064 0.0 3.7 240132 28956 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 2
notes 15065 0.0 3.7 240132 28956 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 2
notes 15066 0.0 3.0 146760 23700 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 5
notes 15067 0.0 3.0 146760 23700 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 5
notes 15068 0.0 2.3 140508 18380 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/stats
notes 15069 0.0 2.3 140508 18380 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/stats
notes 15070 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15072 0.0 2.3 145448 18396 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 4
notes 15073 0.0 2.3 145448 18396 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 4
notes 15074 0.0 2.4 141088 18676 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/smtp
notes 15075 0.0 2.4 141088 18676 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/smtp
notes 15076 0.0 2.3 141132 18532 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/web
notes 15077 0.0 2.3 141132 18532 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/web
notes 15078 0.0 3.0 141548 23616 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/router
notes 15079 0.0 4.0 142740 31588 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/ldap
notes 15080 0.0 2.3 142304 18488 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/rdebug
notes 15081 0.0 2.3 141216 18288 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/imap
notes 15082 0.0 2.3 140984 18176 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/pop3
notes 15083 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15085 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15090 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15094 0.0 2.3 140508 18380 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/stats
notes 15096 0.0 2.3 142304 18488 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/rdebug
notes 15097 0.0 2.3 141132 18532 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/web
notes 15101 0.0 2.4 141088 18676 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/smtp
notes 15102 0.0 2.3 141132 18532 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/web
notes 15119 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15120 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15122 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15124 0.0 2.3 141216 18288 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/imap
notes 15126 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15127 0.0 2.3 140984 18176 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/pop3
notes 15128 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15131 0.0 3.9 148176 30384 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/server =/local/notesdata/notes.ini
notes 15136 0.0 2.4 141088 18676 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/smtp
notes 15138 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15139 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15140 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15141 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15142 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15143 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15145 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15146 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15147 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15148 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15149 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15150 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15151 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15152 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15153 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15154 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15155 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15156 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15157 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15158 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15159 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15160 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15161 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15162 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15163 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15164 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15165 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15166 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15167 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15168 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15169 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15170 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15171 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15172 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15176 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15193 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15194 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15195 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15196 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15197 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15198 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15199 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15200 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15201 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15202 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15203 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15204 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15205 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15206 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15207 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15208 0.0 4.8 265468 37396 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/http
notes 15209 0.0 4.0 142740 31588 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/ldap
notes 15210 0.0 4.0 142740 31588 pts/2 S 04:36 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/ldap
notes 15212 0.0 3.0 146760 23700 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 5
notes 15213 0.0 3.7 240132 28956 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 2
notes 15214 0.0 3.7 240132 28956 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 2
notes 15215 0.0 3.7 240132 28956 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 2
notes 15216 0.0 3.7 240132 28956 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 2
notes 15217 0.0 3.7 240132 28956 pts/2 S 04:36 0:00 /opt/lotus/notes/latest/linux/amgr -e 2
notes 15218 0.0 2.5 141316 19820 pts/2 S 04:37 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/adminp
notes 15219 0.0 2.5 140536 20032 pts/2 S 04:37 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/replica
notes 15221 0.0 2.3 140816 18440 pts/2 S 04:37 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/update
notes 15222 0.0 2.8 146244 21812 pts/2 S 04:37 0:00 /opt/lotus/notes/latest/linux/amgr -e 3
notes 15225 0.0 3.0 141548 23616 pts/2 S 04:41 0:00 /opt/lotus/bin/tools/../../notes/latest/linux/router
These are the packages that I would merge, in order:
Calculating dependencies ...done!
[ebuild R ] sys-devel/gcc-3.2.2
[ebuild R ] sys-libs/glibc-2.3.1-r4
Linux dom6.vunet.local 2.4.20-xfs-r3 #1 Tue Apr 22 05:46:00 CEST 2003 i686 AMD Athlon(tm) processor AuthenticAMD GNU/Linux |
|
|
Back to top |
|
 |
tebers Tux's lil' helper


Joined: 24 Apr 2002 Posts: 115 Location: Germany, Kirchheim near Munich
|
Posted: Thu May 08, 2003 11:20 am Post subject: |
|
|
well i used your script.
but it complains about the config variables not initialized.
but i have them uncommented and changed them...
I just ask myself how is /etc/conf.d/domino being evaluated
for beeing accesd from /etc/init.d/domino ? |
|
Back to top |
|
 |
steveb Advocate


Joined: 18 Sep 2002 Posts: 4564
|
Posted: Wed May 14, 2003 11:51 pm Post subject: |
|
|
tebers wrote: | well i used your script.
but it complains about the config variables not initialized.
but i have them uncommented and changed them...
I just ask myself how is /etc/conf.d/domino being evaluated
for beeing accesd from /etc/init.d/domino ? |
the enty #!/sbin/runscript in the init script takes care of sourcing /etc/conf.d/domino. this is a normal operation in gentoo.
i don't know why it is not working for you. do you have the right permission to the files?: Code: | # ls -lah /etc/init.d/domino /etc/conf.d/domino
-rw-r--r-- 1 root root 2.4K May 1 02:56 /etc/conf.d/domino
-rwxr-xr-x 1 root root 9.2K May 1 05:31 /etc/init.d/domino |
and about wich variable/entry is the init-script complaining? can you please post the complete output?
cheers
SteveB |
|
Back to top |
|
 |
tebers Tux's lil' helper


Joined: 24 Apr 2002 Posts: 115 Location: Germany, Kirchheim near Munich
|
Posted: Thu May 15, 2003 6:04 am Post subject: |
|
|
I will check ....
well this is permission
Code: |
dev-01 init.d # ls -lah /etc/init.d/domino /etc/conf.d/domino
-rw-r--r-- 1 root root 2.2K May 8 10:45 /etc/conf.d/domino
-rwxr-xr-x 1 root root 12K May 8 10:37 /etc/init.d/domino
|
it is the same like yours
Code: |
dev-01 init.d # /etc/init.d/domino start
* You need to setup variables in /etc/conf.d/domino first
dev-01 init.d #
|
and this is /etc/conf.d/domino
Code: |
# Config file for /etc/init.d/domino
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author: devdon@bluemail.ch
#
# Please uncomment the entries and change the paths to suit your needs
#
# Paths to Domino program and data directories and varios programs.
dominoroot=/opt/lotus
dominodataroot=/local/notesdata
dominostartup=${dominoroot}/notes/latest/linux/startup
dominoserver=${dominoroot}/bin/server
dominonotesini=${dominodataroot}/notes.ini
# Path to pid file
dominopidfile=/var/run/domino.pid
# user and group used to run domino (normaly 'notes')
dominouser=domino
dominogroup=domino
# Stop timeout in seconds. After that time we start to kill Domino
# with NDS. Do not use a to low number for the timeout!
#dominostoptimeout=30
# Startup type of Domino server. \
# Use 'S' for starting domino with screen. You can attach to the screen
# calling the init script with the parameter 'get_screen' or using the
# command 'screen -rdS domino'. If you want to use screen, then you
# need to emerge app-misc/screen.
# Use 'B' for starting domino in the background
# Use 'N' for starting domino in the forderground/directly
dominostartuptype=S
# [OPTIONAL] Path to Lotus Notes UserID for the live console. If you don't
# specify any UserID, then you will be asked to enter one when you start
# the live console.
#dominoadminid=${dominodataroot}/admin.id
# [OPTIONAL] Bugfix for Linux environment with NTPL support
# [NOTE] If you set the option dominofloatingstackfix to 'Y', then this
# parameter is overwriten.
# Use 'Y' to prevent Domino to bind against the Linuxthreads libraries while
# still allowing us to use the floating stacks
# Use 'N' to do nothing
#dominolinuxthreadsfix="Y"
# [OPTIONAL] Bugfix for Linux environment to not allow Domino to use the
# floating stack.
# [NOTE] You have to enable this option only if you kernel is less then
# 2.4.10 or else the internal IBM JVM will fail on SMP hardware.
# Use 'Y' to prevent Domino to use floating stack
# Use 'N' to do nothing
#dominofloatingstackfix="N"
|
|
|
Back to top |
|
 |
steveb Advocate


Joined: 18 Sep 2002 Posts: 4564
|
Posted: Thu May 15, 2003 9:55 am Post subject: |
|
|
tebers wrote: | I will check ....
well this is permission
Code: |
dev-01 init.d # ls -lah /etc/init.d/domino /etc/conf.d/domino
-rw-r--r-- 1 root root 2.2K May 8 10:45 /etc/conf.d/domino
-rwxr-xr-x 1 root root 12K May 8 10:37 /etc/init.d/domino
|
it is the same like yours
Code: |
dev-01 init.d # /etc/init.d/domino start
* You need to setup variables in /etc/conf.d/domino first
dev-01 init.d #
|
and this is /etc/conf.d/domino
Code: |
# Config file for /etc/init.d/domino
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author: devdon@bluemail.ch
#
# Please uncomment the entries and change the paths to suit your needs
#
# Paths to Domino program and data directories and varios programs.
dominoroot=/opt/lotus
dominodataroot=/local/notesdata
dominostartup=${dominoroot}/notes/latest/linux/startup
dominoserver=${dominoroot}/bin/server
dominonotesini=${dominodataroot}/notes.ini
# Path to pid file
dominopidfile=/var/run/domino.pid
# user and group used to run domino (normaly 'notes')
dominouser=domino
dominogroup=domino
# Stop timeout in seconds. After that time we start to kill Domino
# with NDS. Do not use a to low number for the timeout!
#dominostoptimeout=30
# Startup type of Domino server. \
# Use 'S' for starting domino with screen. You can attach to the screen
# calling the init script with the parameter 'get_screen' or using the
# command 'screen -rdS domino'. If you want to use screen, then you
# need to emerge app-misc/screen.
# Use 'B' for starting domino in the background
# Use 'N' for starting domino in the forderground/directly
dominostartuptype=S
# [OPTIONAL] Path to Lotus Notes UserID for the live console. If you don't
# specify any UserID, then you will be asked to enter one when you start
# the live console.
#dominoadminid=${dominodataroot}/admin.id
# [OPTIONAL] Bugfix for Linux environment with NTPL support
# [NOTE] If you set the option dominofloatingstackfix to 'Y', then this
# parameter is overwriten.
# Use 'Y' to prevent Domino to bind against the Linuxthreads libraries while
# still allowing us to use the floating stacks
# Use 'N' to do nothing
#dominolinuxthreadsfix="Y"
# [OPTIONAL] Bugfix for Linux environment to not allow Domino to use the
# floating stack.
# [NOTE] You have to enable this option only if you kernel is less then
# 2.4.10 or else the internal IBM JVM will fail on SMP hardware.
# Use 'Y' to prevent Domino to use floating stack
# Use 'N' to do nothing
#dominofloatingstackfix="N"
|
|
looks good, but what is the output when your run /etc/init.d/domino start?
cheers
SteveB |
|
Back to top |
|
 |
steveb Advocate


Joined: 18 Sep 2002 Posts: 4564
|
Posted: Thu May 15, 2003 9:56 am Post subject: |
|
|
tebers wrote: | Code: |
dev-01 init.d # /etc/init.d/domino start
* You need to setup variables in /etc/conf.d/domino first
dev-01 init.d #
|
|
sorry! i did not see that part in the first place. i will check that out.
cheers
SteveB |
|
Back to top |
|
 |
steveb Advocate


Joined: 18 Sep 2002 Posts: 4564
|
Posted: Thu May 15, 2003 10:20 am Post subject: |
|
|
okay... i don't know what the problem is, but i can try to get closer to the solution.
can you please replace in your /etc/init.d/domino the following part: Code: | if [ -z "$dominoroot" ] || [ -z "$dominodataroot" ] || [ -z "$dominostartup" ] || \
[ -z "$dominoserver" ] || [ -z "$dominonotesini" ] || [ -z "$dominopidfile" ] || \
[ -z "$dominouser" ] || [ -z "$dominogroup" ] || [ -z "$dominostoptimeout" ] || \
[ -z "$dominostartuptype" ]; then
eerror "You need to setup variables in /etc/conf.d/domino first"
return 1
fi |
with the following new part: Code: | if [ -z "$dominoroot" ] || [ -z "$dominodataroot" ] || [ -z "$dominostartup" ] || \
[ -z "$dominoserver" ] || [ -z "$dominonotesini" ] || [ -z "$dominopidfile" ] || \
[ -z "$dominouser" ] || [ -z "$dominogroup" ] || [ -z "$dominostoptimeout" ] || \
[ -z "$dominostartuptype" ]; then
einfo "The following entries are missing in /etc/conf.d/domino:"
[ -z "$dominoroot" ] && einfo " - dominoroot"
[ -z "$dominodataroot" ] && einfo " - dominodataroot"
[ -z "$dominostartup" ] && einfo " - dominostartup"
[ -z "$dominoserver" ] && einfo " - dominoserver"
[ -z "$dominonotesini" ] && einfo " - dominonotesini"
[ -z "$dominopidfile" ] && einfo " - dominopidfile"
[ -z "$dominouser" ] && einfo " - dominouser"
[ -z "$dominogroup" ] && einfo " - dominogroup"
[ -z "$dominostoptimeout" ] && einfo " - dominostoptimeout"
[ -z "$dominostartuptype" ] && einfo " - dominostartuptype"
eerror "You need to setup variables in /etc/conf.d/domino first"
return 1
fi |
the output schould look like this then (i just quickly remarked 2 entries for testing in my configuration): Code: | # /etc/init.d/domino start
* The following entries are missing in /etc/conf.d/domino:
* - dominoroot
* - dominostartup
* You need to setup variables in /etc/conf.d/domino first |
cheers
SteveB |
|
Back to top |
|
 |
tebers Tux's lil' helper


Joined: 24 Apr 2002 Posts: 115 Location: Germany, Kirchheim near Munich
|
Posted: Thu May 15, 2003 11:02 am Post subject: |
|
|
now I have this
Code: |
dev-01 root # /etc/init.d/domino start
* The following entries are missing in /etc/conf.d/domino:
* - dominostoptimeout
* You need to setup variables in /etc/conf.d/domino first
dev-01 root #
|
|
|
Back to top |
|
 |
steveb Advocate


Joined: 18 Sep 2002 Posts: 4564
|
Posted: Thu May 15, 2003 11:43 am Post subject: |
|
|
tebers wrote: | now I have this
Code: |
dev-01 root # /etc/init.d/domino start
* The following entries are missing in /etc/conf.d/domino:
* - dominostoptimeout
* You need to setup variables in /etc/conf.d/domino first
dev-01 root #
|
|
GREAT!! you need to enable the timeout in /etc/conf.d/domino. just edit /etc/conf.d/domino and replace Code: | #dominostoptimeout=30 | with Code: | dominostoptimeout=40 | you can take any number you want (don't take a to low number). but be sure to remove the # infront of the line!
cheers
SteveB |
|
Back to top |
|
 |
Nar n00b


Joined: 27 May 2002 Posts: 49 Location: Sandton, South Africa
|
Posted: Fri Jun 13, 2003 2:07 pm Post subject: |
|
|
Hi SteveB
Finally got to test your start-up script for domino. Very nice indeed One question ? What about a password for the server if I need to enter one. Can you maybe change you script or add something for a password ????
Also got this prob
root 10230 99.8 1.2 109532 6256 pts/2 R 18:02 3:13 /opt/lotus/notes/latest/linux/amgr -e 1
Check the CPU utilization. It looks like the agent manager that have problems. Have you seen this ???
By the way. Notes 5.0.11
Thanks
Nar |
|
Back to top |
|
 |
Nar n00b


Joined: 27 May 2002 Posts: 49 Location: Sandton, South Africa
|
Posted: Thu Jun 19, 2003 2:12 pm Post subject: |
|
|
Hi Steveb
Did you have any problems with the setup of Domino6? It java crash every time we want to finish the setup of the server. Any ideas ????
Thank you
Nar |
|
Back to top |
|
 |
steveb Advocate


Joined: 18 Sep 2002 Posts: 4564
|
Posted: Thu Jun 19, 2003 6:48 pm Post subject: |
|
|
Nar wrote: | Hi Steveb
Did you have any problems with the setup of Domino6? It java crash every time we want to finish the setup of the server. Any ideas ????
Thank you
Nar |
this is a known problem
search the forum for a small how-to for installing domino 6 on linux.
cheers
SteveB |
|
Back to top |
|
 |
jayjay n00b

Joined: 18 Jun 2003 Posts: 34 Location: Germany
|
Posted: Wed Jul 23, 2003 1:38 pm Post subject: |
|
|
Hy,
im using Lotus Domino 5.0.11 and using your startupscript.
Something very dangerous is, to select Notes starting in forground, because the runscript never finishes, it runs the domino server and so the rest of the other runscript will never start.
I don't understand, why you are executing the domino startupscript. This should not be necessary, because the server script starts the startupscript with the right parameters.
Code: |
S)
ebegin "Starting Domino server [SCREEN]"
screen -AdmS domino su - ${dominouser} -c "${dominostartup} ${dominoserver} ${domino_additional_args} \=${dominonotesini}"
eend $?
;;
|
So, any comments on that execution of the startupscript.
Cheers
JJ |
|
Back to top |
|
 |
crown n00b


Joined: 15 Jun 2002 Posts: 64
|
Posted: Thu Sep 18, 2003 3:02 am Post subject: |
|
|
Hi,
I'm having trouble using this init script with my R5 installation. I'm able to start the server manually without problems but using the script I get the following output:
Quote: |
# /etc/init.d/domino start
/sbin/runscript.sh: line 16: : command not found
/sbin/runscript.sh: line 17: : command not found
/sbin/runscript.sh: line 18: : command not found
/sbin/runscript.sh: line 1: : command not found
grep: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
sed: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
cut: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
cut: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
cut: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
/sbin/runscript.sh: line 16: : command not found
/sbin/runscript.sh: line 17: : command not found
/sbin/runscript.sh: line 18: : command not found
cat: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
grep: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
* User notes not found
/usr/bin/logger: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
* Domino server is still runing
/usr/bin/logger: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory |
I just don't see why I'm getting all that. I tried various things (such as setting LD_ASSUME_KERNEL) but nothing seems to work. Any ideas? |
|
Back to top |
|
 |
crown n00b


Joined: 15 Jun 2002 Posts: 64
|
Posted: Thu Sep 18, 2003 3:40 am Post subject: |
|
|
If I put "set" before each of the config params in /etc/conf.d/domino then I get the following error instead of the previous one:
Quote: |
init.d # ./domino start
* ERROR: not enough args.
* Usage: domino { start|stop|restart|live_console|get_screen|kill_domino }
* domino without arguments for full help
|
If I export them into my environment then I get this:
Quote: |
# ./domino start
/sbin/runscript.sh: line 16: : command not found
/sbin/runscript.sh: line 17: : command not found
/sbin/runscript.sh: line 18: : command not found
/sbin/runscript.sh: line 1: : command not found
|
It hangs after that and I have to hit ^c to get control back. The server doesn't come up.. As I said previously I can load the server manually and its only this script that doesn't seem to work.
I don't know much about how the run scripts work but this seems really odd to me. |
|
Back to top |
|
 |
RockHound Tux's lil' helper

Joined: 11 Nov 2002 Posts: 112 Location: Hamburg, Germany
|
Posted: Mon Dec 08, 2003 2:04 pm Post subject: |
|
|
Has anyone resolved these issues in the last three posts? Any new "versions" of theses init scripts available?
Cheers,
Martin |
|
Back to top |
|
 |
snorkel Apprentice

Joined: 14 May 2002 Posts: 206 Location: Milwaukee, WI
|
Posted: Wed Dec 17, 2003 10:42 pm Post subject: domino setup problems |
|
|
I installed domino 5.11 and when I try to start the server I get this:
bash-2.05b$ /opt/lotus/bin/server
expr: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
expr: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
expr: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
expr: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
Could not backup notes.ini
Can someone help? |
|
Back to top |
|
 |
TheDodger Tux's lil' helper


Joined: 12 Aug 2002 Posts: 126 Location: Hamburg
|
Posted: Wed Sep 22, 2004 3:06 am Post subject: |
|
|
good morning!
I have an Domino 6.5.1 on an absolutly actuall gentoo-box installaed.
I'm using your great work to start the Domino, but i become this many errors:
Code: |
/etc/init.d/domino start | tee > domino.start.log
* Re-caching dependency info (mtimes differ)...
/sbin/runscript.sh: line 27: : command not found
/sbin/runscript.sh: line 97: : command not found
/sbin/runscript.sh: line 98: : command not found
/sbin/runscript.sh: line 99: : command not found
/sbin/runscript.sh: line 100: : command not found
/sbin/runscript.sh: line 27: : command not found
/sbin/runscript.sh: line 97: : command not found
/sbin/runscript.sh: line 98: : command not found
/sbin/runscript.sh: line 99: : command not found
/sbin/runscript.sh: line 100: : command not found
/sbin/runscript.sh: line 27: : command not found
/sbin/runscript.sh: line 97: : command not found
/sbin/runscript.sh: line 98: : command not found
/sbin/runscript.sh: line 99: : command not found
/sbin/runscript.sh: line 100: : command not found
chown: `notes.notes' syntax is obsolete; use `:' since this will be removed in the future
[... many entrys of this type ...]
chown: `notes.notes' syntax is obsolete; use `:' since this will be removed in the future
/sbin/runscript.sh: line 27: : command not found
/sbin/runscript.sh: line 97: : command not found
/sbin/runscript.sh: line 98: : command not found
/sbin/runscript.sh: line 99: : command not found
/sbin/runscript.sh: line 100: : command not found
/bin/bash: line 1: ulimit: max user processes: cannot modify limit: Operation not permitted
/bin/bash: line 1: ulimit: open files: cannot modify limit: Operation not permitted
/sbin/runscript.sh: line 27: : command not found
/sbin/runscript.sh: line 97: : command not found
/sbin/runscript.sh: line 98: : command not found
/sbin/runscript.sh: line 99: : command not found
/sbin/runscript.sh: line 100: : command not found
/sbin/runscript.sh: line 27: : command not found
/sbin/runscript.sh: line 97: : command not found
/sbin/runscript.sh: line 98: : command not found
/sbin/runscript.sh: line 99: : command not found
/sbin/runscript.sh: line 100: : command not found
/sbin/runscript.sh: line 27: : command not found
/sbin/runscript.sh: line 97: : command not found
/sbin/runscript.sh: line 98: : command not found
/sbin/runscript.sh: line 99: : command not found
/sbin/runscript.sh: line 100: : command not found
/sbin/runscript.sh: line 27: : command not found
/sbin/runscript.sh: line 97: : command not found
/sbin/runscript.sh: line 98: : command not found
/sbin/runscript.sh: line 99: : command not found
/sbin/runscript.sh: line 100: : command not found
|
I've checked the complete start-script, and i found no errors.
All config-files are okay.
Who can help me? |
|
Back to top |
|
 |
ashleydrees n00b

Joined: 05 Jul 2004 Posts: 3
|
Posted: Mon Sep 27, 2004 10:37 am Post subject: |
|
|
Hello all you domino users.
I am trying to install domino 6.5.1 on a AMD 64 gentoo made specifically for running domino. when i try and run the /opt/lotus/bin/server to set up the machine, it gives the error...
/opt/lotus/notes/latest/linux/server: error while loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
i have tried linking and copying libstdc++.so.5.0.6 as libstdc++-libc6.1-1.so.2 in /usr/lib but this does not make any differance
help desperately needed. |
|
Back to top |
|
 |
TheDodger Tux's lil' helper


Joined: 12 Aug 2002 Posts: 126 Location: Hamburg
|
Posted: Thu Sep 30, 2004 2:39 am Post subject: |
|
|
Look at this this Link.
Feel your free to use the search function  |
|
Back to top |
|
 |
yalex2000 n00b


Joined: 23 Sep 2004 Posts: 15 Location: Moscow
|
Posted: Mon Oct 18, 2004 11:11 am Post subject: Re: IBM Lotus Domino R6/(R5) gentoo init scripts |
|
|
HELP!!!!!
* Setting ulimit values for Domino server...
/bin/bash: line 1: ulimit: max user processes: cannot modify limit: Operation not permitted [ ok ]
* Setting /proc values for Domino server:
* /proc/sys/fs/file-max: 131072
* /proc/sys/net/ipv4/tcp_fin_timeout: 15
* /proc/sys/net/ipv4/tcp_max_syn_backlog: 16384
* /proc/sys/net/ipv4/tcp_tw_reuse: 1
* /proc/sys/net/ipv4/ip_local_port_range: 1024 65535
* Starting Domino server [NORMAL]
/opt/lotus/notes/latest/linux/startup: line 934: 3674 Segmentation fault${runJavaController} ${endArgs}
* IBM/Lotus Domino server startup... [ !! ]
----------------------------------------------------------------------------------------
* Setting ulimit values for Domino server...
/bin/bash: line 1: ulimit: max user processes: cannot modify limit: Operation not permitted [ ok ]
* Setting /proc values for Domino server:
* /proc/sys/fs/file-max: 131072
* /proc/sys/net/ipv4/tcp_fin_timeout: 15
* /proc/sys/net/ipv4/tcp_max_syn_backlog: 16384
* /proc/sys/net/ipv4/tcp_tw_reuse: 1
* /proc/sys/net/ipv4/ip_local_port_range: 1024 65535
* Starting Domino server [SCREEN]... [ ok ]
* IBM/Lotus Domino server startup... [ !! ] |
|
Back to top |
|
 |
jsw n00b

Joined: 03 Nov 2002 Posts: 47 Location: Germany
|
Posted: Tue May 24, 2005 10:12 am Post subject: |
|
|
Hi.
Anybody here used this init script with Domino > 6.0.1cf?
I'm trying to use the script with domino 6.5.3 / 6.5.4. The server starts but on console screen I can see only the start time of some domino tasks followed by some cryptic numbers but nothing else (e.g. no tasks name and no server startup informations). I can not connect to the server from any client and can not - fantastic - quit the server. Same results with all possible startup types (B,S,N).
There is no problem to start a Domino 6.0.1cf with this init script!
Domino 6.5.3 / 6.5.4 runs successfully launching manually by user 'notes' w/o init script.
Any idea? |
|
Back to top |
|
 |
andreas2000 Tux's lil' helper


Joined: 02 Nov 2004 Posts: 144 Location: Austria/Vienna
|
Posted: Tue Sep 27, 2005 9:55 am Post subject: Cannot startup domino server 6.5.2 |
|
|
Hello everybody,
today I've tried to use the mentioned init script to start my domino server - but some strange things happen:
the first time I'm starting the script I'm getting this output:
Code: |
radiustest / # /etc/init.d/domino start
* Caching service dependencies ...
'var/lib/init.d/depcache: line 87: syntax error near unexpected token `
'var/lib/init.d/depcache: line 87: ` }
* Can't find service 'checkroot' needed by 'domainname'; continuing...
* Can't find service 'hostname' needed by 'domainname'; continuing... [ ok ]
: No such file or directory
" has syntax errors in it; not executing...
radiustest / #
|
when I try to start again I only get this output:
Code: |
: No such file or directory
" has syntax errors in it; not executing...
|
any idea what's going on? I've checked the /etc/conf.d/domino file 10 times - no errors in there - also the permissions of the files look OK.
When I'm starting the server with
Code: |
su - root
cd /lotus/data
/lotus/bin/server
|
the server is starting up normally...
Thanks for helping!
Andreas _________________ Registered Linux User 371244 |
|
Back to top |
|
 |
|